List all Upload requests
Returns a list of your Upload requests for the given external connection.
GET
/
external_connections
/
{id}
/
uploads
JavaScript
import Telnyx from 'telnyx';
const client = new Telnyx({
apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
});
// Automatically fetches more pages as needed.
for await (const upload of client.externalConnections.uploads.list('1293384261075731499')) {
console.log(upload.location_id);
}import os
from telnyx import Telnyx
client = Telnyx(
api_key=os.environ.get("TELNYX_API_KEY"), # This is the default and can be omitted
)
page = client.external_connections.uploads.list(
id="1293384261075731499",
)
page = page.data[0]
print(page.location_id)package main
import (
"context"
"fmt"
"github.com/team-telnyx/telnyx-go"
"github.com/team-telnyx/telnyx-go/option"
)
func main() {
client := telnyx.NewClient(
option.WithAPIKey("My API Key"),
)
page, err := client.ExternalConnections.Uploads.List(
context.TODO(),
"1293384261075731499",
telnyx.ExternalConnectionUploadListParams{},
)
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", page)
}package com.telnyx.sdk.example;
import com.telnyx.sdk.client.TelnyxClient;
import com.telnyx.sdk.client.okhttp.TelnyxOkHttpClient;
import com.telnyx.sdk.models.externalconnections.uploads.UploadListPage;
import com.telnyx.sdk.models.externalconnections.uploads.UploadListParams;
public final class Main {
private Main() {}
public static void main(String[] args) {
TelnyxClient client = TelnyxOkHttpClient.fromEnv();
UploadListPage page = client.externalConnections().uploads().list("1293384261075731499");
}
}require "telnyx"
telnyx = Telnyx::Client.new(api_key: "My API Key")
page = telnyx.external_connections.uploads.list("1293384261075731499")
puts(page)<?php
require_once dirname(__DIR__) . '/vendor/autoload.php';
use Telnyx\Client;
use Telnyx\Core\Exceptions\APIException;
$client = new Client(apiKey: getenv('TELNYX_API_KEY') ?: 'My API Key');
try {
$page = $client->externalConnections->uploads->list(
'1293384261075731499',
filter: [
'civicAddressID' => ['eq' => '19990261512338516954'],
'locationID' => ['eq' => '19995665508264022121'],
'phoneNumber' => ['contains' => '+1970', 'eq' => '+19705555098'],
'status' => ['eq' => ['pending_upload', 'pending']],
],
pageNumber: 0,
pageSize: 0,
);
var_dump($page);
} catch (APIException $e) {
echo $e->getMessage();
}telnyx external-connections:uploads list \
--api-key 'My API Key' \
--id 1293384261075731499curl --request GET \
--url https://api.telnyx.com/v2/external_connections/{id}/uploads \
--header 'Authorization: Bearer <token>'{
"data": [
{
"ticket_id": "542c3bca-d247-42bc-8fe7-e01d16ecd761",
"tenant_id": "ea175aba-f47c-4702-9400-efaa42688048",
"location_id": "c37e5036-1e87-42e6-86a2-b3e8dd39a2ad",
"status": "error",
"available_usages": [],
"error_code": "<string>",
"error_message": "<string>",
"tn_upload_entries": [
{
"number_id": "542c3bca-d247-42bc-8fe7-e01d16ecd761",
"phone_number": "<string>",
"status": "error",
"error_code": "internal_error",
"error_message": "<string>",
"civic_address_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"location_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"internal_status": "error"
}
]
}
],
"meta": {
"total_pages": 3,
"total_results": 55,
"page_number": 2,
"page_size": 25
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Identifies the resource.
Example:
"1293384261075731499"
Query Parameters
Filter parameter for uploads (deepObject style). Supports filtering by status, civic_address_id, location_id, and phone_number with eq/contains operations.
Show child attributes
Show child attributes
Consolidated page parameter (deepObject style). Originally: page[size], page[number]
Show child attributes
Show child attributes
Was this page helpful?
⌘I
JavaScript
import Telnyx from 'telnyx';
const client = new Telnyx({
apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
});
// Automatically fetches more pages as needed.
for await (const upload of client.externalConnections.uploads.list('1293384261075731499')) {
console.log(upload.location_id);
}import os
from telnyx import Telnyx
client = Telnyx(
api_key=os.environ.get("TELNYX_API_KEY"), # This is the default and can be omitted
)
page = client.external_connections.uploads.list(
id="1293384261075731499",
)
page = page.data[0]
print(page.location_id)package main
import (
"context"
"fmt"
"github.com/team-telnyx/telnyx-go"
"github.com/team-telnyx/telnyx-go/option"
)
func main() {
client := telnyx.NewClient(
option.WithAPIKey("My API Key"),
)
page, err := client.ExternalConnections.Uploads.List(
context.TODO(),
"1293384261075731499",
telnyx.ExternalConnectionUploadListParams{},
)
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", page)
}package com.telnyx.sdk.example;
import com.telnyx.sdk.client.TelnyxClient;
import com.telnyx.sdk.client.okhttp.TelnyxOkHttpClient;
import com.telnyx.sdk.models.externalconnections.uploads.UploadListPage;
import com.telnyx.sdk.models.externalconnections.uploads.UploadListParams;
public final class Main {
private Main() {}
public static void main(String[] args) {
TelnyxClient client = TelnyxOkHttpClient.fromEnv();
UploadListPage page = client.externalConnections().uploads().list("1293384261075731499");
}
}require "telnyx"
telnyx = Telnyx::Client.new(api_key: "My API Key")
page = telnyx.external_connections.uploads.list("1293384261075731499")
puts(page)<?php
require_once dirname(__DIR__) . '/vendor/autoload.php';
use Telnyx\Client;
use Telnyx\Core\Exceptions\APIException;
$client = new Client(apiKey: getenv('TELNYX_API_KEY') ?: 'My API Key');
try {
$page = $client->externalConnections->uploads->list(
'1293384261075731499',
filter: [
'civicAddressID' => ['eq' => '19990261512338516954'],
'locationID' => ['eq' => '19995665508264022121'],
'phoneNumber' => ['contains' => '+1970', 'eq' => '+19705555098'],
'status' => ['eq' => ['pending_upload', 'pending']],
],
pageNumber: 0,
pageSize: 0,
);
var_dump($page);
} catch (APIException $e) {
echo $e->getMessage();
}telnyx external-connections:uploads list \
--api-key 'My API Key' \
--id 1293384261075731499curl --request GET \
--url https://api.telnyx.com/v2/external_connections/{id}/uploads \
--header 'Authorization: Bearer <token>'{
"data": [
{
"ticket_id": "542c3bca-d247-42bc-8fe7-e01d16ecd761",
"tenant_id": "ea175aba-f47c-4702-9400-efaa42688048",
"location_id": "c37e5036-1e87-42e6-86a2-b3e8dd39a2ad",
"status": "error",
"available_usages": [],
"error_code": "<string>",
"error_message": "<string>",
"tn_upload_entries": [
{
"number_id": "542c3bca-d247-42bc-8fe7-e01d16ecd761",
"phone_number": "<string>",
"status": "error",
"error_code": "internal_error",
"error_message": "<string>",
"civic_address_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"location_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"internal_status": "error"
}
]
}
],
"meta": {
"total_pages": 3,
"total_results": 55,
"page_number": 2,
"page_size": 25
}
}